This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Backup Histories

1 - 1.2

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

2 - 1.1

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

3 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}